For the complete documentation index, see llms.txt. This page is also available as Markdown.

UAN Basic

The UAN (Universal Account Number) Basic API is a specialized tool designed to facilitate seamless access to basic payment features associated with UANs.

uan_basic

POST https://secctrl.tutelar.io/api/v2/kyc/banking/uan_basic

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Post parameters description is given below,

1) Search By UAN Number

Post Parameter
Type
Is Mandatory
Dependency Condition
Description

uan_number

String

Yes

-

UAN Number

employee_name

String

No

-

Employee Name

employer_name

String

No

If employer_name is provided, then employee_name is mandatory

Employer Name

2) Search By Lookups

Post Parameter
Type
Is Mandatory
Dependency Condition
Description

mobile_number

String

Yes ( Conditional Mandatory )

If pan_number is provided mobile_number is not mandatory

UAN Number

pan_number

String

Yes ( Conditional Mandatory )

If mobile_number is provided pan_number is not mandatory

Pan Number

date_of_birth

String

No

If date_of_birth is provided, then employee_name is mandatory

Date of birth - format should be YYYY-MM-DD

employee_name

String

No

-

Employee Name

employer_name

String

No

If employer_name is provided, then employee_name is mandatory

Employer Name

Sample Post Parameters

Check Document Status

Get document details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference_id

GET https://secctrl.tutelar.io/api/v2/kyc/banking/uan_basic

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated